commit:     5e5d98bb7afc1c961e89f1aff1738fb37b4ff6f3
Author:     Marshall Brewer (Gentoo Key) <tomboy64 <AT> sina <DOT> cn>
AuthorDate: Thu Apr 28 16:49:06 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Sun May  8 20:14:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e5d98bb

dev-lang/moarvm: re-add 9999, based on 2016.04-r1

 dev-lang/moarvm/moarvm-9999.ebuild | 64 ++++++++++++++++++++++++++++----------
 1 file changed, 48 insertions(+), 16 deletions(-)

diff --git a/dev-lang/moarvm/moarvm-9999.ebuild 
b/dev-lang/moarvm/moarvm-9999.ebuild
index 0b704eb..7b75a88 100644
--- a/dev-lang/moarvm/moarvm-9999.ebuild
+++ b/dev-lang/moarvm/moarvm-9999.ebuild
@@ -1,36 +1,68 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-inherit eutils git-r3
+inherit flag-o-matic
 
 MY_PN="MoarVM"
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/${MY_PN}/${MY_PN}.git";
+       inherit git-r3
+       KEYWORDS=""
+       S="${WORKDIR}/${P}"
+else
+       SRC_URI="https://moarvm.org/releases/${MY_PN}-${PV}.tar.gz";
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/${MY_PN}-${PV}"
+fi
 
 DESCRIPTION="A 6model-based VM for NQP and Rakudo Perl 6"
-HOMEPAGE="https://github.com/MoarVM/MoarVM";
-EGIT_REPO_URI="https://github.com/MoarVM/MoarVM.git";
-
+HOMEPAGE="http://moarvm.org";
 LICENSE="Artistic-2"
 SLOT="0"
-KEYWORDS=""
-IUSE="doc"
+IUSE="asan clang debug doc +jit static-libs +system-libs optimize ubsan"
 
-RDEPEND=""
+RDEPEND="dev-libs/libatomic_ops
+               dev-libs/libtommath
+               dev-libs/libuv
+               jit? ( dev-lang/lua:0[deprecated]
+                       dev-lua/LuaBitOp )
+               virtual/libffi"
 DEPEND="${RDEPEND}
+       clang? ( >=sys-devel/clang-3.1 )
        dev-lang/perl"
 
+PATCHES=( "${FILESDIR}/Configure-2016.04.patch" )
+DOCS=( CREDITS README.markdown )
+
+# Tests are conducted via nqp
+RESTRICT=test
+
 src_prepare() {
-       epatch "${FILESDIR}/Configure-9999.patch" || die
+       eapply "${PATCHES[@]}"
+       eapply_user
+       use doc && DOCS+=( docs/* )
 }
 
 src_configure() {
-        # this is quite badong, but wtf build system
-       echo "2013.10-145-gec52026" >> VERSION
-       perl Configure.pl --prefix="${D}/usr"|| die
-}
+       local myconfigargs=(
+               "--prefix=/usr"
+               "--libdir=$(get_libdir)"
+               "--compiler=$(usex clang clang gcc)"
+               "$(usex asan        --asan)"
+               "$(usex debug       --debug            --no-debug)"
+               "$(usex jit         --lua=/usr/bin/lua --no-jit)"
+               "$(usex optimize    --optimize=        --no-optimize)"
+               "$(usex static-libs --static)"
+               "$(usex system-libs --has-libtommath)"
+               "$(usex system-libs --has-libuv)"
+               "$(usex system-libs --has-libatomic_ops)"
+               "$(usex system-libs --has-libffi)"
+               "$(usex ubsan       --ubsan)"
+       )
+       use optimize && filter-flags '-O*'
 
-src_install() {
-       make install
+       perl Configure.pl "${myconfigargs[@]}" || die
 }

Reply via email to